<vn>
<vn-group>
	<vn-param id="address"/>
	<vn-hash-param key="address" param="address"/>
	<db-form id="iter" on-status-changed="onStatusChange">
		<db-model
		 	id="model"
			property="model"
			updatable="true"
			mode="ON_DEMAND"
			on-operations-done="onOperationsDone">
			<custom>
				SELECT a.id, a.name, a.consignee, a.city, a.zip_code, a.province_id, c.Id country_id
					FROM address_view a
					LEFT JOIN vn2008.province p ON p.province_id = a.province_id
					JOIN vn2008.Paises c ON c.Id = p.Paises_Id
						WHERE active != FALSE AND a.id = #address
			</custom>
			<sql-batch property="batch">
				<custom>
					<item name="address" param="address"/>
				</custom>
			</sql-batch>
		</db-model>
	</db-form>
</vn-group>
<div id="title">
	<h1><t>AddEditAddress</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="ok"
		tip="_Accept"
		on-click="onAcceptClick"/>
	<htk-bar-button
		icon="close"
		tip="_Return"
		on-click="onReturnClick"/>
</div>
<div id="form" class="address">
	<div class="box">
		<div class="form">
			<div class="form-group">
				<label><t>Name</t></label>
				<htk-entry column="consignee" form="iter"/>
			</div>
			<div class="form-group">
				<label><t>Address</t></label>
				<htk-entry column="name" form="iter"/>
			</div>
			<div class="form-group">
				<label><t>City</t></label>
				<htk-entry column="city" form="iter"/>
			</div>
			<div class="form-group">
				<label><t>ZipCode</t></label>
				<htk-entry column="zip_code" form="iter"/>
			</div>
			<div class="form-group">
				<label><t>Country</t></label>
				<htk-combo>
					<db-param
						id="country"
						property="param"
						form="iter"
						column="country_id"
						one-way="true"/>
					<db-model property="model">
						<custom>
							SELECT Id, Pais FROM vn2008.Paises
								ORDER BY Pais
						</custom>
					</db-model>
				</htk-combo>
			</div>
			<div class="form-group">
				<label><t>Province</t></label>
				<htk-combo column="province_id" form="iter">
					<db-model property="model">
						<custom>
							SELECT province_id, name FROM vn2008.province
								WHERE Paises_Id = #country
								ORDER BY name
						</custom>
						<sql-batch property="batch">
							<custom>
								<item name="country" param="country"/>
							</custom>
						</sql-batch>
					</db-model>
				</htk-combo>
			</div>
		</div>
	</div>
</div>
</vn>
